Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.server
Class TCPIPServerMessageEndpointFactory

    java.lang.Object
      com.stc.connector.tcpip.model.server.TCPIPServerMessageEndpointFactory

All Implemented Interfaces:
  javax.resource.spi.endpoint.MessageEndpointFactory

    public class TCPIPServerMessageEndpointFactory

extends java.lang.Object
implements javax.resource.spi.endpoint.MessageEndpointFactory

This class is not a full-featured MessageEndpointFactory. It is ONLY used for my RA non-managed mode test.

Version:
  cvs revision: $Revision: 1.6 $ Last Modified: $Date: 2008/03/03 15:36:00 $
Author:
  Harry Liu

Nested Class Summary
`class` | `TCPIPServerMessageEndpointFactory.MyMessageEndpoint` This class is not a full-featured MessageEndpoint.

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`TCPIPServerMessageEndpointFactory()` Constructor

Method Summary
`javax.resource.spi.endpoint.MessageEndpoint` | `createEndpoint(javax.transaction.xa.XAResource xaResource)` This is used to create a message endpoint.
`java.lang.String` | `getWelcomeMsg()` Returns the welcomeMsg.
`boolean` | `isDeliveryTransacted(java.lang.reflect.Method pTargetMethod)` This is used to find out whether message deliveries to a message endpoint will be transacted or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPServerMessageEndpointFactory

    public TCPIPServerMessageEndpointFactory()

  Constructor

Method Detail

### isDeliveryTransacted

    public boolean isDeliveryTransacted(java.lang.reflect.Method pTargetMethod)
                                 throws java.lang.NoSuchMethodException

  This is used to find out whether message deliveries to a message endpoint will be transacted or not. The message delivery preferences must not change during the lifetime of a message endpoint. This information is only a hint and may be useful to perform optimizations on message delivery.

  Specified by:
    `isDeliveryTransacted` in interface `javax.resource.spi.endpoint.MessageEndpointFactory`
  Returns:
    true, if message endpoint requires transacted message delivery.
  Throws:
    `java.lang.NoSuchMethodException`
  See Also:
    `MessageEndpointFactory.isDeliveryTransacted(java.lang.reflect.Method)`

### createEndpoint

    public javax.resource.spi.endpoint.MessageEndpoint createEndpoint(javax.transaction.xa.XAResource xaResource)
                                                               throws javax.resource.spi.UnavailableException

  This is used to create a message endpoint. The message endpoint is expected to implement the correct message listener type.

  Specified by:
    `createEndpoint` in interface `javax.resource.spi.endpoint.MessageEndpointFactory`
  Parameters:
    `xaResource` - an optional XAResource instance used to get transaction notifications when the message delivery is transacted.
  Returns:
    a message endpoint instance.
  Throws:
    `javax.resource.spi.UnavailableException` - indicates a transient failure in creating a message endpoint. Subsequent attempts to create a message endpoint might succeed.
  See Also:
    `MessageEndpointFactory.createEndpoint(XAResource)`

### getWelcomeMsg

    public java.lang.String getWelcomeMsg()

  Returns the welcomeMsg.

  Returns:
    String

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD